Bug 39983 - binfmt_misc doesn't work with kernel 2.4.2-2
binfmt_misc doesn't work with kernel 2.4.2-2
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-09 21:45 EDT by dboucher
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-09 21:45:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dboucher 2001-05-09 21:45:18 EDT
Description of Problem:
echo ':DEXE:M::\x0eDEX::/usr/bin/dosexec:' >
/proc/sys/fs/binfmt_misc/register

bash: /proc/sys/fs/binfmt_misc/register: No such file or directory   

Directory /proc/sys/fs/binfmt_misc/ empty.
Kernel 2.4.2-2 (distributed with RH7.1) compiled with:
CONFIG_PROC_FS=y    
CONFIG_BINFMT_MISC=y  

How Reproducible:
Systematic.

Steps to Reproduce:
1.Compile RH7.1 kernel 2.4.2-2 with CONFIG_PROC_FS=y, CONFIG_BINFMT_MISC=y 
2.echo to /proc/sys/fs/binfmt_misc/register fails.

Actual Results:
bash: /proc/sys/fs/binfmt_misc/register: No such file or directory  
       

Expected Results:
No error message.

Additional Information:
Comment 1 Arjan van de Ven 2001-05-10 04:24:59 EDT
you probably have to type
mount -t binfmt_misc none /proc/sys/fs/binfmt_misc 
first as with all 2.4 kernels....
The users of binfmt_misc (Wine) in RHL do this automatically for you.

Note You need to log in before you can comment on or make changes to this bug.